# Wildflock

Headless service for managing address aliases in [Wild Duck](https://wildduck.email/) mail server.

## About

This project was built for [K-Space Hackathon 2023](https://wiki.k-space.ee/en/hackathon/2023) and is supposed to live in K-Space infrastructure; however, it can be seamlessly deployed elsewhere.
The main motivation behind the development of this headless web UI was to provide users with a convenient tool for creating and deleting email aliases in the Wild Duck mail server.

The Wild Duck server has a nice and functional [API](https://docs.wildduck.email/api/), but only offers an admin API token, limiting regular users' ability to manage their own email aliases.

User authentication is implemented via OIDC.

No persistent storage, Redis is used for keeping express sessions.

Deployed on Kubernetes, developed with Skaffold.

![Screenshot](./public/screenshot.png)

